Subject: Re: [PATCH] powerpc/powernv: Turn on SCSI_AACRAID in powernv_defconfig

From: Stewart Smith <[email-masked]>
Date: Mon, 04 Sep 2017 09:19:19 +1000

Michael Ellerman <[email-masked]> writes:
>> 2. On a bare metal machine, if you set ipr.fast_reboot=1 on the skiboot
>>    kernel, then we should also avoid resetting the ipr adapter, so ipr
>>    init on the kernel being kexec booted from skiboot should be extremely fast. 
>
> OK, I didn't know that was an option, so that might help.
>
>> ...
>> If you've got cases where ipr init is taking a long time, I'd be
>> interested to know what scenarios are the most annoying to see if there
>> is any opportunity to improve.
>
> Yeah booting bare metal is where I see it (not using ipr.fast_reboot).

Hrm... We should probably enable that by default for petitboot then.

It'd at least cut some time off booting straight through to OS.

-- 
Stewart Smith
OPAL Architect, IBM.